8.42.3怎么这么麻烦

重复贴和参考价值不大的帖子,版主维护
回复
头像
weive
帖子: 3236
注册时间: 2007-10-21 18:36
来自: 汕头/广东/中国
送出感谢: 2 次
接收感谢: 3 次

8.42.3怎么这么麻烦

#1

帖子 weive » 2007-11-12 17:02

把我原来的设置搞坏了。请问如何移除?
tomosak
帖子: 154
注册时间: 2007-10-29 9:18
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 tomosak » 2007-11-12 17:30

sudo mv /etc/X11/xorg.conf.**** /etc/X11/xorg.conf

这里的****是你的备份如:20071112140127
头像
weive
帖子: 3236
注册时间: 2007-10-21 18:36
来自: 汕头/广东/中国
送出感谢: 2 次
接收感谢: 3 次

#3

帖子 weive » 2007-11-12 17:57

谢谢。不过还是恢复不到。
我一开始是没有看安装文章,把那个RUN文件直接安装。后来看了一些文章又装了一次。
xorg-driver-fglrx 和XGL我是删 装很多次了。

Section “Extensions”
Option “Composite” “0″ # or “Disable”
EndSection
这段我补回去了,但是是随意找一个地方补的。

后来又看了一篇文章。执行到安装DEB的那里就不能进行了,我就只到这里不想再弄。
将旧的fglrx模块加入黑名单,我也改回来了。现在执行fglrxinfo 会崩溃,登出。

2D桌面的刷新确实存在问题了。浏览网页的时候下拉会闪。

哪位大虾救命啊!似乎8 42 3成为默认的驱动了。我现在把受限驱动勾回去,之前的东西也不知道补全了没有,在外观中启动不了自定义的效果。
上课时间到了我大概要旷课了。
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#4

帖子 aBiNg » 2007-11-12 18:42

楼主安装删除fglrx很多遍了,所以尚不知官方驱动的文件是否完全。想卸干净点的话,不妨再安装一遍,然后执行:

代码: 全选

cd /usr/share/ati
sudo su
sh ./fglrx-uninstall.sh
这方法适合直接运行*.run文件安装的,deb包安装的,卸载自不必多说。


ati卡,最好用系统自带的,也无须手动去将fglrx加入黑名单(也无须去修改/etc/X11/xorg.conf,况且很多人都没有作备份的习惯),网上的帖子,多数只适用于作者本身。

想开3D,受限驱动启用后,还要安装xserver-xgl,gutsy默认情况下,重启系统就可以开启compiz了。ati卡目前尚对aiglx支持不力。
关闭它只需建立一个文件:

代码: 全选

mkdir ~/.config/xserver-xgl && touch ~/.config/xserver-xgl/disable
重启就默认开启metacity了。这么方便的步骤,楼主不必舍近求远。
头像
weive
帖子: 3236
注册时间: 2007-10-21 18:36
来自: 汕头/广东/中国
送出感谢: 2 次
接收感谢: 3 次

#5

帖子 weive » 2007-11-12 18:58

多谢LS的朋友。
不过还是看不懂你是建议我装8.42.3还是原来的那种。

想卸干净点的话,不妨再安装一遍,

我不知道这是说卸什么,安装什么?看来应该是要再装一次8.42.3的驱动?把原来的东西禁止掉?

理解能力有限,还请见谅。
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#6

帖子 aBiNg » 2007-11-12 19:22

我指,再安装一遍官方的那个run文件,再卸载它。因为之前你对系统做过更改,run文件解压后的安装文件并不一定完整,可能直接卸载不干净。这个意思。

当然我个人建议安装系统自带的,这个是明确的。
ati卡,最好用系统自带的
头像
weive
帖子: 3236
注册时间: 2007-10-21 18:36
来自: 汕头/广东/中国
送出感谢: 2 次
接收感谢: 3 次

#7

帖子 weive » 2007-11-12 19:27

O .多谢了。不过我的3D应该还是开不来。 屏幕的刷新很怪,好像是斜着刷的。
头像
weive
帖子: 3236
注册时间: 2007-10-21 18:36
来自: 汕头/广东/中国
送出感谢: 2 次
接收感谢: 3 次

#8

帖子 weive » 2007-11-12 20:43

现在ATI的受限驱动没有打勾,我自己打上去的话提示重新启动,重启后里面又恢复不打勾的。

cd /usr/share/ati
sudo su
sh ./fglrx-uninstall.sh

这一段好像把FGLRX完全弄没了啊。
回复

回到 “归档贴”